Freeciv-3.3: player_score Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
player_score Struct Reference

`#include <player.h>`

## Data Fields

int | happy
int | content
int | unhappy
int | angry
int | specialists [SP_MAX]
int | wonders
int | techs
int | techout
int | landarea
int | settledarea
int | population
int | cities
int | units
int | pollution
int | literacy
int | bnp
int | mfg
int | spaceship
int | units_built
int | units_killed
int | units_lost
int | units_used
int | culture
int | game

## Detailed Description

Definition at line 85 of file player.h.

## Field Documentation

## ◆ angry

int player_score::angry

Definition at line 89 of file player.h.

Referenced by calc_civ_score(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and total_player_citizens().

## ◆ bnp

int player_score::bnp

Definition at line 101 of file player.h.

Referenced by calc_civ_score(), get_economics(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ cities

int player_score::cities

Definition at line 97 of file player.h.

Referenced by calc_civ_score(), get_cities(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ content

int player_score::content

Definition at line 87 of file player.h.

Referenced by calc_civ_score(), get_contentpop(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and total_player_citizens().

## ◆ culture

int player_score::culture

Definition at line 109 of file player.h.

Referenced by calc_civ_score(), check_for_game_over(), get_civ_score(), get_culture(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ game

int player_score::game

Definition at line 110 of file player.h.

Referenced by calc_civ_score(), fill_row(), get_score_text(), get_total_score(), handle_player_info(), package_player_info(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ happy

int player_score::happy

Definition at line 86 of file player.h.

Referenced by calc_civ_score(), get_happypop(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and total_player_citizens().

## ◆ landarea

int player_score::landarea

Definition at line 94 of file player.h.

Referenced by calc_civ_score(), get_landarea(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ literacy

int player_score::literacy

Definition at line 100 of file player.h.

Referenced by calc_civ_score(), get_literacy(), get_literacy2(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ mfg

int player_score::mfg

Definition at line 102 of file player.h.

Referenced by adv_data_phase_init(), calc_civ_score(), get_production(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ pollution

int player_score::pollution

Definition at line 99 of file player.h.

Referenced by calc_civ_score(), get_pollution(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ population

int player_score::population

Definition at line 96 of file player.h.

Referenced by calc_civ_score(), get_literacy(), get_mil_service(), get_population(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ settledarea

int player_score::settledarea

Definition at line 95 of file player.h.

Referenced by calc_civ_score(), get_settledarea(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ spaceship

int player_score::spaceship

Definition at line 103 of file player.h.

Referenced by calc_civ_score(), get_spaceship(), get_spaceship_score(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ specialists

int player_score::specialists[SP_MAX]

Definition at line 90 of file player.h.

Referenced by calc_civ_score(), get_specialists(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and total_player_citizens().

## ◆ techout

int player_score::techout

Definition at line 93 of file player.h.

Referenced by calc_civ_score(), get_research(), get_techout(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ techs

int player_score::techs

Definition at line 92 of file player.h.

Referenced by adv_data_phase_init(), calc_civ_score(), get_civ_score(), get_techs(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ unhappy

int player_score::unhappy

Definition at line 88 of file player.h.

Referenced by calc_civ_score(), get_unhappypop(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and total_player_citizens().

## ◆ units

int player_score::units

Definition at line 98 of file player.h.

Referenced by calc_civ_score(), get_mil_service(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ units_built

int player_score::units_built

Definition at line 104 of file player.h.

Referenced by city_create_unit(), get_units_built(), get_units_score(), server_player_init(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ units_killed

int player_score::units_killed

Definition at line 105 of file player.h.

Referenced by achievement_check(), get_units_killed(), get_units_score(), server_player_init(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ units_lost

int player_score::units_lost

Definition at line 106 of file player.h.

Referenced by do_capture_units(), do_paradrop(), get_units_lost(), server_player_init(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and wipe_unit_full().

## ◆ units_used

int player_score::units_used

Definition at line 108 of file player.h.

Referenced by get_units_used(), server_player_init(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and wipe_unit_full().

## ◆ wonders

int player_score::wonders

Definition at line 91 of file player.h.

Referenced by calc_civ_score(), get_civ_score(), get_wonders(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().